<?php

/* DCMS Special
 * Дата последнего редактирования 18.01.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../sys/inc/$inc.php";
}

$set['title'] = lang('Цвет логина');

require_once H . 'sys/inc/thead.php';

aut();
err();
only_reg();

if (isset($user)) {
    $ank['id'] = $user['id'];
}
if (isset($_GET['id'])) {
    $ank['id'] = intval($_GET['id']);

    if ($ank['id'] == 0) {
        exit;
    }
}
$color = mysql_fetch_array(mysql_query("SELECT * FROM `ncolor`"));
$mod = (isset($_GET['mod'])) ? htmlspecialchars($_GET['mod']) : null;
$ank = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1"));

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/shop/'>" . lang('Магазин') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/user/color_login.php'>" . lang('Цвет логина') . "</a> ";
echo "</small></div><br />";

switch ($mod) {
    default:
        echo "<a href='?mod=gradient' class='list-group-item-null'><i class='fa fa-tint fa-fw'></i> " . lang('Градиент цвета') . " <span class='badge'>";

        if (isset($user) & $user['money'] < $color['cena1']) {
            echo "<font color='red'>$color[cena1]</font>/$ank[money] " . lang('рублей');
        } else {
            echo "<font color='yellow'>$color[cena1]</font>/$ank[money] " . lang('рублей');
        }
        echo "</span></a>";

        echo "<a href='?mod=color' class='list-group-item-null'><i class='fa fa-tint fa-fw'></i> " . lang('Обычные цвета') . " <span class='badge'>";

        if (isset($user) & $user['money'] < $color['cena2']) {
            echo "<font color='red'>$color[cena2]</font>/$ank[money] " . lang('рублей');
        } else {
            echo "<font color='yellow'>$color[cena2]</font>/$ank[money] " . lang('рублей');
        }
        echo "</span></a>";

        break;

    case 'gradient':
        if (isset($user) & $user['money'] < $color['cena1']) {
            echo "<div class='list-group-item-null'>";
            echo lang('Извините, но изменить цвет логина Вы сможете только после того, как на Вашем счету будет сумма более') . " $color[cena1] " . lang('рублей') . ".<br/>" . lang('У Вас') . " <b>$user[money]</b> " . lang('рублей');
            echo "</div>";
        } else {
            if (isset($_POST['save'])) {
                if (isset($user) & $user['money'] < $color['cena1']) {
                    echo lang('Недостаточно на счету. Необходимо') . ": $color[cena1] " . lang('рублей. А у Вас') . " <b>$user[money]</b>\n";
                } else {
                    mysql_query("UPDATE `user` SET `money` = '" . ($user['money'] - $color['cena1']) . "' WHERE `id` = '$user[id]' LIMIT 1", $db);
                    if (isset($_POST['ncolor']) && utf8_strlen(esc(stripcslashes(htmlspecialchars($_POST['ncolor'])))) <= 10) {
                        $ank['ncolor'] = esc(stripcslashes(htmlspecialchars($_POST['ncolor'])));
                        mysql_query("UPDATE `user` SET `ncolor` = '$ank[ncolor]' WHERE `id` = '$ank[id]' LIMIT 1");
                    } else {
                        $err = lang('Начало цвета не больше 10 символов');
                    }

                    if (isset($_POST['ncolor2']) && utf8_strlen(esc(stripcslashes(htmlspecialchars($_POST['ncolor2'])))) <= 10) {
                        $ank['ncolor2'] = esc(stripcslashes(htmlspecialchars($_POST['ncolor2'])));
                        mysql_query("UPDATE `user` SET `ncolor2` = '$ank[ncolor2]' WHERE `id` = '$ank[id]' LIMIT 1");
                    } else {
                        $err = lang('Конец цвета не больше 10 символов');
                    }

                    if (!isset($err)) {
                        $_SESSION['message'] = lang("Изменения сохранены");
                        header("Location: color_login.php?mod=gradient" . SID);
                        exit;
                    }
                }
            }

            echo "<div class='list-group-item-null'>";
            echo lang('Текущий цвет') . ": ";
            echo "<a href='/info.php?id=$ank[id]'>";
            echo gradient("$ank[nick] ", "$ank[ncolor]", "$ank[ncolor2]");
            echo "</a>";
            echo "</div>";
            echo "<form name='color' class='list-group-item-null list-group-item-grey' action='?mod=gradient&amp;id=$ank[id]' method='POST'>";

            $doc->Input('ncolor', 'Начало цвета логина', 6, "$ank[ncolor]", 'form-control', 'text', 'required');
            $doc->Input('ncolor2', 'Конец цвета логина', 6, "$ank[ncolor2]", 'form-control', 'text', 'required');
            echo "<br />";
            $doc->Button('btn btn-success btn-sm', 'save', 'save', 'Сохранить');

            echo "<span class='btn btn-secondary btn-sm' style='color:red;'><i class='fa fa-money fa-fw'></i> -$color[cena1] " . lang('руб') . ".</span>";
            echo "</form>";
        }

        break;

    case 'color':
        if (isset($user) & $user['money'] < $color['cena2']) {
            echo "<div class='list-group-item-null list-group-item-warning'>";
            echo lang('Извините, но изменить цвет логина Вы сможете только после того, как на Вашем счету будет сумма более') . " $color[cena2] " . lang('рублей') . ".<br/>" . lang('У Вас') . " <b>$user[money]</b> " . lang('рублей');
            echo "</div>";
        } else {
            if (isset($_POST['save'])) {
                if (isset($user) & $user['money'] < $color['cena2']) {
                    echo lang('Недостаточно на счету. Необходимо') . ": $color[cena2] " . lang('рублей. А у Вас') . " <b>$user[money]</b>\n";
                } else {
                    mysql_query("UPDATE `user` SET `money` = '" . ($user['money'] - $color['cena2']) . "' WHERE `id` = '$user[id]' LIMIT 1", $db);
                    if (isset($_POST['ncolor']) && utf8_strlen(esc(stripcslashes(htmlspecialchars($_POST['ncolor'])))) <= 6) {
                        $ank['ncolor'] = esc(stripcslashes(htmlspecialchars($_POST['ncolor'])));
                        $ank['ncolor2'] = esc(stripcslashes(htmlspecialchars($_POST['ncolor'])));
                        mysql_query("UPDATE `user` SET `ncolor` = '$ank[ncolor]' WHERE `id` = '$ank[id]' LIMIT 1");
                        mysql_query("UPDATE `user` SET `ncolor2` = '$ank[ncolor2]' WHERE `id` = '$ank[id]' LIMIT 1");
                    } else {
                        $err = lang('Цвет логина должен быть не больше 6 символов');
                    }
                    if (!isset($err)) {
                        $_SESSION['message'] = lang("Изменения сохранены");
                        header("Location: color_login.php?mod=color" . SID);
                        exit;
                    }
                }
            }

            echo "<div class='list-group-item-null'>";
            echo lang('Текущий цвет') . ": ";
            echo "<a href='/id$ank[id]'>";
            echo gradient("$ank[nick] ", "$ank[ncolor]", "$ank[ncolor2]");
            echo "</a>";
            echo "</div>";
            echo "<form name='color' class='list-group-item-null list-group-item-grey' action='?mod=color&amp;id=$ank[id]' method='POST'>";

            $doc->Input('ncolor', 'Цвета логина', 6, "$ank[ncolor]", 'form-control', 'text', 'required');
            echo "<br />";
            $doc->Button('btn btn-success btn-sm', 'save', 'save', 'Сохранить');

            echo "<span class='btn btn-secondary btn-sm' style='color:red;'><i class='fa fa-money fa-fw'></i> -$color[cena2] " . lang('руб') . ".</span>";
            echo "</form>";
        }

        break;
}

require_once H . 'sys/inc/tfoot.php';
